<?php
function sh_metaboxes_options( $id = '' ) {
    // Declare your sections
    $page_sections = $post_sections = [];

    $post_sections[] = array(
        'title'         => __( 'Post', 'gillion' ),
        'icon'          => 'ti-layout-column3',
        'fields'        => array(

        ),
    );


    $post_sections[] = array(
        'title'         => __( 'General', 'gillion' ),
        'icon'          => 'ti-crown',
        'fields'        => array(

        ),
    );


    $page_sections[] = array(
        'title'         => __( 'General', 'gillion' ),
        'icon'          => 'ti-crown',
        'fields'        => array(

        ),
    );


    $page_sections[] = $post_sections[] = array(
        'title'         => __( 'Header', 'gillion' ),
        'icon'          => 'ti-flag-alt-2',
        'fields'        => array(

        ),
    );


    $page_sections[] = $post_sections[] = array(
        'title'         => __( 'Footer', 'gillion' ),
        'icon'          => 'ti-anchor',
        'fields'        => array(

        ),
    );


    $page_sections[] = array(
        'title'         => __( 'Blog', 'gillion' ),
        'icon'          => 'ti-pencil-alt',
        'fields'        => array(

        ),
    );


    $page_sections[] = $post_sections[] = array(
        'title'         => __( 'Colors', 'gillion' ),
        'icon'          => 'ti-palette',
        'fields'        => array(

        ),
    );




    // Declare your metaboxes
    $metaboxes = array();
    $metaboxes[] = array(
        'id'            => 'page-settings',
        'title'         => __( 'Page Settings', 'gillion' ),
        'post_type'     => 'page',
        //'page_template' => array('page-test.php'), // Visibility of box based on page template selector
        //'post_format' => array('image'), // Visibility of box based on post format
        'position'      => 'normal', // normal, advanced, side
        'priority'      => 'high', // high, core, default, low - Priorities of placement
        'sections'      => $page_sections,
    );

    $metaboxes[] = array(
        'id'            => 'post-settings',
        'title'         => __( 'Post Settings', 'gillion' ),
        'post_type'     => 'post',
        'position'      => 'normal',
        'priority'      => 'high',
        'sections'      => $post_sections,
    );

    return $metaboxes;
}
